---
title: Server
slug: Web/HTTP/Headers/Server
tags:
  - HTTP
  - Reference
  - header
---
<div>{{HTTPSidebar}}</div>

<p><span class="seoSummary">The <code><strong>Server</strong></code> header describes the software used by the origin server that handled the request — that is, the server that generated the response.</span></p>

<div class="notecard warning">
<p>Avoid overly-detailed <code>Server</code> values, as they can reveal information that might make it (slightly) easier for attackers to exploit known security holes.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Server: &lt;product&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt><code>&lt;product&gt;</code></dt>
 <dd>
 <p>The name of the software or product that handled the request. Usually in a format similar to {{HTTPHeader('User-Agent')}}.</p>
 </dd>
</dl>

<p>How much detail to include is an interesting balance to strike; exposing the OS version is probably a bad idea, as mentioned in the earlier warning about overly-detailed values. However, exposed Apache versions helped browsers work around a bug those versions had with {{HTTPHeader('Content-Encoding')}} combined with {{HTTPHeader('Range')}}.</p>

<h2 id="Examples">Examples</h2>

<pre>Server: Apache/2.4.1 (Unix)</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7231", "Server", "7.4.2")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Server")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Allow")}}</li>
</ul>
